Update an L7 Load Balancer

PUT/v1/load_balancers/l7/{id}

To update parameters of an L7 balancer, send a PUT request to the /v1/load_balancers/l7/{id} endpoint.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

FieldDetails
id
string

A unique identifier of a balancer.

Request Body

FieldDetails
name?
string

Give a new name to a balancer.

store_logs?
boolean

Default: false

If you need storing logs option, fill this parameter in with the true value.

store_logs_region_id?
integer

A cloud region ID of the cloud storage for logs. You can list all region IDs in the relevant request.

geoip?
boolean

Default: false

To enable the GeoIP feature, write true in this attribute.

cluster_id?
string

A unique identifier of a dedicated Load Balancer cluster. A Load Balancer will move to the specified dedicated cluster. A request to list cluster IDs. If shared_cluster has the true value, a balancer will move to a shared cluster.

shared_cluster?
boolean

If it has the true value, a Load Balancer will move to a shared Load Balancer cluster.

array<object>

A vhost zone is a forwarding rule to be applied to a balancer.

array<object>

It is a group of upstream servers with predefined parameters.

labels?
object

Specify labels you want to attach to the resource. Refer to the Labels section for more details.

new_external_ips_count?
integer

Fill in the number of new external IP addresses for a balancer.

delete_external_ips?
array<string>

This array contains external IP addresses to be deleted.

Response Body

application/json

curl -X PUT "https://example.com/v1/load_balancers/l7/WZdP1neK" \  -H "Content-Type: application/json" \  -d '{    "cluster_id": null,    "shared_cluster": null,    "name": "name1760",    "store_logs": true,    "store_logs_region_id": 0,    "geoip": "false",    "new_external_ips_count": 2,    "delete_external_ips": [      "101.0.0.70"    ],    "vhost_zones": [      {        "id": "name1761",        "ports": [          670        ],        "ssl": true,        "http2": false,        "ssl_certificate_id": "nXe0Bybx",        "domains": [          "example-2194.com"        ],        "location_zones": [          {            "location": "/path157",            "upstream_path": "/path158",            "upstream_id": "name1762"          }        ],        "real_ip_header": {          "name": "forwarded_for",          "networks": [            "127.0.0.1/16",            "192.168.0.1/32"          ]        }      }    ],    "upstream_zones": [      {        "id": "name1762",        "ssl": true,        "upstreams": [          {            "ip": "10.0.8.4",            "port": 671,            "weight": 1          }        ]      }    ],    "labels": {      "environment": "production",      "service": "my-web-app",      "example.com/project": "my-project",      "example.com/owner": "my-team"    }  }'

{  "id": "w9aAnzbv",  "name": "name1760",  "type": "l7",  "status": "in_process",  "network_type": "public",  "external_addresses": [],  "internal_addresses": [],  "location_id": 1754,  "redirect_http": false,  "geoip": false,  "geoip_enabled": false,  "store_logs": true,  "domains": [    "example-2194.com"  ],  "vhost_zones": [    {      "ssl": true,      "http2": false,      "http2_push_preload": false,      "http_to_https_redirect": false,      "proxy_request_headers": [],      "id": "name1761",      "ports": [        670      ],      "domains": [        "example-2194.com"      ],      "location_zones": [        {          "upstream_path": "/path158",          "location": "/path157",          "upstream_id": "name1762"        }      ],      "real_ip_header": {        "name": "forwarded_for",        "networks": [          "127.0.0.1/16",          "192.168.0.1/32"        ]      },      "ssl_certificate_id": "nXe0Bybx"    }  ],  "upstream_zones": [    {      "method": "random.least_conn",      "hc_interval": 5,      "hc_jitter": 5,      "hc_fails": 1,      "hc_passes": 3,      "grpc": false,      "sticky": true,      "ssl": true,      "hc_path": "/",      "hc_method": "GET",      "id": "name1762",      "upstreams": [        {          "ip": "10.0.8.4",          "port": 671,          "weight": 1,          "max_conns": 63000,          "max_fails": 0,          "fail_timeout": 30,          "status": "unknown"        }      ]    }  ],  "labels": {    "environment": "production",    "service": "my-web-app",    "example.com/project": "my-project",    "example.com/owner": "my-team"  },  "cluster_id": null,  "shared_cluster": true,  "created_at": "2025-12-31T00:00:00Z",  "updated_at": "2025-12-31T00:00:00Z"}